define('OrderWizard.Module.PaymentMethod.PayPal.Extension'
,	[
 		'OrderWizard.Module.PaymentMethod.PayPal'
	,	'underscore'
	,	'Backbone'
	,	'Session'
]
, 	function
	(
 		OrderWizardModulePaymentMethodPayPal
	,	_
	,	Backbone
	,	Session
	)
{
	'use strict';

	_.extend(OrderWizardModulePaymentMethodPayPal.prototype,
	{
		past: function()
		{
			if (this.isActive() && !this.wizard.isPaypalComplete() && !this.wizard.hidePayment() && this.wizard.model.get('confirmation').isNew())
			{
				var checkout_url = Session.get('touchpoints.checkout')
				,	joint = ~checkout_url.indexOf('?') ? '&' : '?'
				,	previous_step_url = this.wizard.getPreviousStepUrl();
				
				checkout_url += joint + 'paypal=T&next_step=' + previous_step_url;
				
				Backbone.history.navigate(previous_step_url, {trigger: false, replace: true});
				
				document.location.href = checkout_url;
				throw new Error('This is not an error. This is just to abort javascript');
			 }
		}
	});

});
